epp_ContactStatusType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.contact.epp_ContactStatusType class

### org.openrtk.idl.epp02.contact

# Class epp_ContactStatusType

- `java.lang.Object`
- - `org.openrtk.idl.epp02.contact.epp_ContactStatusType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactStatusType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/contact/epp_ContactStatusType.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_contact.idl Thursday, July 26, 2001 6:26:12 PM EDT

  ## Field Summary
  `static epp_ContactStatusType` | `CLIENT_LOCK`
  `static epp_ContactStatusType` | `CLIENT_TRANSFER_PROHIBITED`
  `static epp_ContactStatusType` | `LOCK`
  `static epp_ContactStatusType` | `OK`
  `static epp_ContactStatusType` | `PENDING_DELETE`
  `static epp_ContactStatusType` | `PENDING_TRANSFER`
  `static int` | `_CLIENT_LOCK`
  `static int` | `_CLIENT_TRANSFER_PROHIBITED`
  `static int` | `_LOCK`
  `static int` | `_OK`
  `static int` | `_PENDING_DELETE`
  `static int` | `_PENDING_TRANSFER`

  ## Constructor Summary
  `epp_ContactStatusType(int value)`

  ## Method Summary
  `static epp_ContactStatusType` | `from_int(int value)`
  `int` | `value()`

## Field Details

### CLIENT_LOCK

    public static final epp_ContactStatusType CLIENT_LOCK

### CLIENT_TRANSFER_PROHIBITED

    public static final epp_ContactStatusType CLIENT_TRANSFER_PROHIBITED

### LOCK

    public static final epp_ContactStatusType LOCK

### OK

    public static final epp_ContactStatusType OK

### PENDING_DELETE

    public static final epp_ContactStatusType PENDING_DELETE

### PENDING_TRANSFER

    public static final epp_ContactStatusType PENDING_TRANSFER

### _CLIENT_LOCK

    public static final int _CLIENT_LOCK

> Field Value:
>   4

### _CLIENT_TRANSFER_PROHIBITED

    public static final int _CLIENT_TRANSFER_PROHIBITED

> Field Value:
>   5

### _LOCK

    public static final int _LOCK

> Field Value:
>   0

### _OK

    public static final int _OK

> Field Value:
>   1

### _PENDING_DELETE

    public static final int _PENDING_DELETE

> Field Value:
>   2

### _PENDING_TRANSFER

    public static final int _PENDING_TRANSFER

> Field Value:
>   3

## Constructor Details

### epp_ContactStatusType

    protected epp_ContactStatusType(int value)

## Method Details

### from_int

    public static epp_ContactStatusType from_int(int value)

### value

    public int value()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS